org.springframework.aop

## Interface DynamicIntroductionAdvice

- All Superinterfaces:
    Advice
  All Known Subinterfaces:
    IntroductionInterceptor
  All Known Implementing Classes:
    DelegatePerTargetObjectIntroductionInterceptor, DelegatingIntroductionInterceptor

      public interface DynamicIntroductionAdvice
      extends Advice

  Subinterface of AOP Alliance Advice that allows additional interfaces to be implemented by an Advice, and available via a proxy using that interceptor. This is a fundamental AOP concept called introduction.

  Introductions are often mixins, enabling the building of composite objects that can achieve many of the goals of multiple inheritance in Java.

  Compared to {qlink IntroductionInfo}, this interface allows an advice to implement a range of interfaces that is not necessarily known in advance. Thus an `IntroductionAdvisor` can be used to specify which interfaces will be exposed in an advised object.

  Since:
    1.1.1
  Author:
    Rod Johnson
  See Also:
    `IntroductionInfo`, `IntroductionAdvisor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `implementsInterface(Class<?> intf)` Does this introduction advice implement the given interface?

- - ### Method Detail

    - #### implementsInterface

          boolean implementsInterface(Class<?> intf)

      Does this introduction advice implement the given interface?
      Parameters:
        `intf` - the interface to check
      Returns:
        whether the advice implements the specified interface